package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItempoolActivityCreateRequest struct {
	/*
	   创建商品池活动参数     */
	Param *domain.AlibabaRetailMarketingItempoolActivityCreateItemPoolActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItempoolActivityCreateRequest) SetParam(v domain.AlibabaRetailMarketingItempoolActivityCreateItemPoolActivityOperateRequest) *AlibabaRetailMarketingItempoolActivityCreateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItempoolActivityCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItempoolActivityCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
